#### Description:

A MatrixMap is form of Mapping which performs a general linear transformation. Each set of input coordinates, regarded as a column-vector, are pre-multiplied by a matrix (whose elements are specified when the MatrixMap is created) to give a new column-vector containing the output coordinates. If appropriate, the inverse transformation may also be performed.

#### Constructor Function

astMatrixMap

#### Inheritance

The MatrixMap class inherits from the Mapping class.

#### Attributes

The MatrixMap class does not define any new attributes beyond those which are applicable to all Mappings.

#### Functions

The MatrixMap class does not define any new functions beyond those which are applicable to all Mappings.
Copyright (C) 2021 East Asian Observatory